- Qt 5.15
- Qt WebEngine
- C++ Classes
- QWebEngineRegisterProtocolHandlerRequest
- Qt 5.15.19 Reference Documentation

# QWebEngineRegisterProtocolHandlerRequest Class

The QWebEngineRegisterProtocolHandlerRequest class enables accepting or rejecting requests from the registerProtocolHandler API. More...

Header: | #include <QWebEngineRegisterProtocolHandlerRequest>
Since: | Qt 5.11
Instantiated By: | RegisterProtocolHandlerRequest

This class was introduced in Qt 5.11.

- List of all members, including inherited members

## Properties

- origin : const QUrl
- scheme : const QString

## Public Functions

void | accept()
QUrl | origin() const
void | reject()
QString | scheme() const
bool | operator!=(const QWebEngineRegisterProtocolHandlerRequest &that) const
bool | operator==(const QWebEngineRegisterProtocolHandlerRequest &that) const

## Detailed Description

See also QWebEnginePage::registerProtocolHandlerRequested.

## Property Documentation

### origin : const QUrl

This property holds the URL template for the protocol handler.

This is the second parameter from the registerProtocolHandler call.

Access functions:

QUrl | origin() const

### scheme : const QString

This property holds the URL scheme for the protocol handler.

This is the first parameter from the registerProtocolHandler call.

Access functions:

QString | scheme() const

## Member Function Documentation

### void QWebEngineRegisterProtocolHandlerRequest::accept()

Accepts the request

Subsequent calls to accept() and reject() are ignored.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### void QWebEngineRegisterProtocolHandlerRequest::reject()

Rejects the request.

Subsequent calls to accept() and reject() are ignored.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### bool QWebEngineRegisterProtocolHandlerRequest::operator!=(const QWebEngineRegisterProtocolHandlerRequest &that) const

Returns `true` if that points to a different object than this request.

### bool QWebEngineRegisterProtocolHandlerRequest::operator==(const QWebEngineRegisterProtocolHandlerRequest &that) const

Returns `true` if that points to the same object as this request.